【WordPress】Cocoonのバージョンを上げたら、Warning: implode(): Invalid arguments passedが発生したので対処法

Coding

当ブログはCocoonという無料テーマを使用しているのですが、先日バージョンを2.3.6.1に上げたところ、以下のようなエラーが発生してしまいました。

Warning: implode(): Invalid arguments passed in /home/<ユーザー名>/<ドメイン名>/public_html/wp-content/themes/cocoon-master/lib/page-access/access-func.php on line 377

このエラー自体は、phpのコードの中での配列のチェックにバグが有ったのが原因のようです。

現在GitHubリポジトリのほうはすでに修正されているみたいなので、そちらからアップデートするか、カルーセルを使っている場合はカテゴリーを何かしら選択すればエラーは消えるようです。

https://wp-cocoon.com/community/cocoon-theme/%e3%83%86%e3%83%bc%e3%83%9e%e3%82%92%e6%9b%b4%e6%96%b0%e3%81%97%e3%81%9f%e3%82%89implode-invalid-arguments-passed-in%e3%81%a8%e3%83%88%e3%83%83%e3%83%97%e3%83%9a%e3%83%bc%e3%82%b8%e3%81%ab%e8%a1%a8/#post-56939

コメント

タイトルとURLをコピーしました